Package org.zkoss.zk.ui.sys

## Class HtmlPageRenders.RenderContext

- java.lang.Object
- - org.zkoss.zk.ui.sys.HtmlPageRenders.RenderContext

- Enclosing class:
    HtmlPageRenders

      public static class HtmlPageRenders.RenderContext
      extends java.lang.Object

  The render context which consists of two writers (`temp` and `perm`.
  See Also:
    `HtmlPageRenders.getRenderContext(org.zkoss.zk.ui.Execution)`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `crawlable` | Indicates whether to generate crawlable content.
    `boolean` | `included` | Indicated whether this page/execution is included.
    `java.io.Writer` | `perm` | The writer used to generate the content that exists even after the widgets have been rendered.
    `java.io.Writer` | `temp` | The writer used to generate the content that will be replaced after the widgets have been rendered.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### temp

          public final java.io.Writer temp

      The writer used to generate the content that will be replaced after the widgets have been rendered. It is mainly used to put the crawlable content, which is used only for Search Engine.

      It is never null.

    - #### perm

          public final java.io.Writer perm

      The writer used to generate the content that exists even after the widgets have been rendered. It is currently used only to generate CSS style.

      It is null if the current page is included by another.

    - #### crawlable

          public final boolean crawlable

      Indicates whether to generate crawlable content.

    - #### included

          public final boolean included

      Indicated whether this page/execution is included. If included, the component shall not use zk(x).detachChildren(), since the page's rendering might be delayed.